<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('dynamic_report', function (Blueprint $table) {
            $table->string("check_mobile", 20)->nullable()->after("remark")->comment("审核手机号");
            $table->string('check_name', 50)->nullable()->after('remark')->comment("审核姓名");
            $table->integer("check_admin_id")->unsigned()->nullable()->after("remark")->comment("审核管理员id");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('dynamic_report', function (Blueprint $table) {
            $table->dropColumn(["check_mobile", "check_name", "check_mobile"]);
        });
    }
};
